package MT::Plugin::SKR::AngleBracket;

use strict;
use MT 4;
use MT::Util;

use vars qw( $MYNAME $VERSION );
$MYNAME = 'AngleBracket';
$VERSION = '1.00';

use base qw( MT::Plugin );
my $plugin = __PACKAGE__->new({
    name => $MYNAME,
    id => lc $MYNAME,
    key => lc $MYNAME,
    version => $VERSION,
    author_name => 'SKYARC System Co.,Ltd.',
    author_link => 'http://www.skyarc.co.jp/',
    doc_link => 'http://www.skyarc.co.jp/engineerblog/entry/anglebracket.html',
    description => <<PERLHEREDOC,
<__trans phrase="Convert square brackets into an angle bracket.">
PERLHEREDOC
});
MT->add_plugin ($plugin);

sub instance { $plugin; };



# Override
no warnings 'redefine';
*MT::Util::rich_text_transform = sub {
    my ($text) = @_;
    $text =~ s!\[\[\[!<!gs;
    $text =~ s!\]\]\]!>!gs;
    $text;
};

1;